Subject: Re: Can't boot 2.6.30 powerpc kernel under qemu.

From: Michael Ellerman <[email-masked]>
Date: Wed, 01 Jul 2009 00:04:56 +1000

On Tue, 2009-06-30 at 20:50 +1000, Benjamin Herrenschmidt wrote:
> On Tue, 2009-06-30 at 10:24 +1000, Michael Ellerman wrote:
> > On Mon, 2009-06-29 at 18:34 -0500, Rob Landley wrote:
> > > Which suggested that the problem was the new CONFIG_PPC_OF_BOOT_TRAMPOLINE 
> > > symbol wasn't set, and once I switched that on it started working again.
> > 
> > What defconfig are you using? It sounds like maybe something should be
> > 'select'ing OF_BOOT_TRAMPOLINE.
> 
> Right, pmac, pseries and chrp probably ... though I don't like select
> for a user-visible option, I'd rather fix things if I inadvertently
> forgot the "default y" here, after all, one may want to do a minimum
> kdump kernel without prom_init.c in it.

Yeah true. In that case there's not much to do, it's default y, and the
help text says "In case of doubt, say Y".

Rob, do you remember saying "no" to this option when it came up, or did
you run 'make <something defconfig>' and end up with it unset? The
latter would be a bug, the former would not :)

cheers